> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigene.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Integration Create All

> Endpoint to create integrations for all available GPTs in the system.

Args:

Returns:
    dict: A summary message with the count of successful and failed integration creations.

Raises:
    HTTPException 404: If no GPTs are found to create integrations for.
    HTTPException 500: If an unexpected error occurs during the creation process.



## OpenAPI

````yaml post /api/integration/create_all
openapi: 3.1.0
info:
  title: Apigene
  description: Apigene API
  version: 1.0.0
  contact:
    name: Apigene Support
    url: https://app.apigene.ai
    email: support@apigene.ai
servers:
  - url: https://app.apigene.ai
security:
  - BearerAuth: []
paths:
  /api/integration/create_all:
    post:
      tags:
        - System
      summary: Integration Create All
      description: |-
        Endpoint to create integrations for all available GPTs in the system.

        Args:

        Returns:
            dict: A summary message with the count of successful and failed integration creations.

        Raises:
            HTTPException 404: If no GPTs are found to create integrations for.
            HTTPException 500: If an unexpected error occurs during the creation process.
      operationId: integration_create_all
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        'Authorization: Bearer {token}'

````